summaryrefslogtreecommitdiff
path: root/qt
authorkergoth <kergoth>2003-04-23 00:12:32 (UTC)
committer kergoth <kergoth>2003-04-23 00:12:32 (UTC)
commitb1289f41defb14fe3d793656c40bebe50f3062ea (patch) (side-by-side diff)
tree6c655d9b9b902e22cecc1be845c81fa101a69d26 /qt
parentee5e533880e2475a7ba199c592e0d3237f813f26 (diff)
downloadopie-b1289f41defb14fe3d793656c40bebe50f3062ea.zip
opie-b1289f41defb14fe3d793656c40bebe50f3062ea.tar.gz
opie-b1289f41defb14fe3d793656c40bebe50f3062ea.tar.bz2
Increase package granularity of qt/e font packages.
Diffstat (limited to 'qt') (more/less context) (ignore whitespace changes)
-rw-r--r--qt/control/qpf-cyberbit-120-50-t10.control4
-rwxr-xr-xqt/control/qpf-cyberbit-120-50-t10.postinst9
-rw-r--r--qt/control/qpf-fixed.control9
-rwxr-xr-xqt/control/qpf-fixed.postinst9
-rw-r--r--qt/control/qpf-helvetica.control9
-rwxr-xr-xqt/control/qpf-helvetica.postinst9
-rw-r--r--qt/control/qpf-micro.control9
-rwxr-xr-xqt/control/qpf-micro.postinst9
-rw-r--r--qt/control/qpf-smallsmooth.control9
-rwxr-xr-xqt/control/qpf-smallsmooth.postinst9
-rw-r--r--qt/control/qpf-smoothtimes.control9
-rwxr-xr-xqt/control/qpf-smoothtimes.postinst9
-rw-r--r--qt/control/qte-fonts-common.control8
-rw-r--r--qt/control/qte-fonts.control7
-rw-r--r--qt/qpf-bitstream-vera.control8
15 files changed, 121 insertions, 5 deletions
diff --git a/qt/control/qpf-cyberbit-120-50-t10.control b/qt/control/qpf-cyberbit-120-50-t10.control
index 47cb213..0841ba7 100644
--- a/qt/control/qpf-cyberbit-120-50-t10.control
+++ b/qt/control/qpf-cyberbit-120-50-t10.control
@@ -4,7 +4,7 @@ Priority: required
Section: opie/system
Maintainer: Warwick Allison <warwick@trolltech.com>
Architecture: arm
-Arch: iPAQ
-Version: 2.3.0-5
+Version: 2.3.0-6
+Depends: qte-fonts-common
Description: Unicode font
A pre-rendered Unicode font.
diff --git a/qt/control/qpf-cyberbit-120-50-t10.postinst b/qt/control/qpf-cyberbit-120-50-t10.postinst
new file mode 100755
index 0000000..30336ce
--- a/dev/null
+++ b/qt/control/qpf-cyberbit-120-50-t10.postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" != "configure" ]; then
+ exit 0
+fi
+
+update-qtfontdir
diff --git a/qt/control/qpf-fixed.control b/qt/control/qpf-fixed.control
new file mode 100644
index 0000000..ac72e90
--- a/dev/null
+++ b/qt/control/qpf-fixed.control
@@ -0,0 +1,9 @@
+Package: qpf-fixed
+Files: $QTDIR/lib/fonts/fixed_*_50.* $QTDIR/lib/fonts/fixed_*_t*5* $QTDIR/lib/fonts/fixed_*t10*
+Priority: required
+Section: opie/system
+Maintainer: Chris Larson <kergoth@handhelds.org>
+Architecture: arm
+Depends: qte-fonts-common
+Version: 1:$QTE_VERSION-$QTE_REVISION
+Description: Fixed font - precompiled QPFs
diff --git a/qt/control/qpf-fixed.postinst b/qt/control/qpf-fixed.postinst
new file mode 100755
index 0000000..30336ce
--- a/dev/null
+++ b/qt/control/qpf-fixed.postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" != "configure" ]; then
+ exit 0
+fi
+
+update-qtfontdir
diff --git a/qt/control/qpf-helvetica.control b/qt/control/qpf-helvetica.control
new file mode 100644
index 0000000..8b20ad3
--- a/dev/null
+++ b/qt/control/qpf-helvetica.control
@@ -0,0 +1,9 @@
+Package: qpf-helvetica
+Files: $QTDIR/lib/fonts/helvetica_*_{50,50i,75,75i}.* $QTDIR/lib/fonts/helvetica_*_t*5* $QTDIR/lib/fonts/helvetica_*t10*
+Priority: required
+Section: opie/system
+Maintainer: Chris Larson <kergoth@handhelds.org>
+Depends: qte-fonts-common
+Architecture: arm
+Version: 1:$QTE_VERSION-$QTE_REVISION
+Description: Helvetica font - precompiled QPFs
diff --git a/qt/control/qpf-helvetica.postinst b/qt/control/qpf-helvetica.postinst
new file mode 100755
index 0000000..30336ce
--- a/dev/null
+++ b/qt/control/qpf-helvetica.postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" != "configure" ]; then
+ exit 0
+fi
+
+update-qtfontdir
diff --git a/qt/control/qpf-micro.control b/qt/control/qpf-micro.control
new file mode 100644
index 0000000..f993386
--- a/dev/null
+++ b/qt/control/qpf-micro.control
@@ -0,0 +1,9 @@
+Package: qpf-micro
+Files: $QTDIR/lib/fonts/micro_*{50,50_t15,50_t5}.* $QTDIR/lib/fonts/micro_*t10*
+Priority: required
+Section: opie/system
+Maintainer: Chris Larson <kergoth@handhelds.org>
+Architecture: arm
+Depends: qte-fonts-common
+Version: 1:$QTE_VERSION-$QTE_REVISION
+Description: Micro font - precompiled QPFs
diff --git a/qt/control/qpf-micro.postinst b/qt/control/qpf-micro.postinst
new file mode 100755
index 0000000..30336ce
--- a/dev/null
+++ b/qt/control/qpf-micro.postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" != "configure" ]; then
+ exit 0
+fi
+
+update-qtfontdir
diff --git a/qt/control/qpf-smallsmooth.control b/qt/control/qpf-smallsmooth.control
new file mode 100644
index 0000000..279f7bd
--- a/dev/null
+++ b/qt/control/qpf-smallsmooth.control
@@ -0,0 +1,9 @@
+Package: qpf-smallsmooth
+Files: $QTDIR/lib/fonts/smallsmooth_*{50,50_t15,50_t5}.* $QTDIR/lib/fonts/smallsmooth_*t10*
+Priority: required
+Section: opie/system
+Maintainer: Chris Larson <kergoth@handhelds.org>
+Architecture: arm
+Depends: qte-fonts-common
+Version: 1:$QTE_VERSION-$QTE_REVISION
+Description: Smallsmooth font - precompiled QPFs
diff --git a/qt/control/qpf-smallsmooth.postinst b/qt/control/qpf-smallsmooth.postinst
new file mode 100755
index 0000000..30336ce
--- a/dev/null
+++ b/qt/control/qpf-smallsmooth.postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" != "configure" ]; then
+ exit 0
+fi
+
+update-qtfontdir
diff --git a/qt/control/qpf-smoothtimes.control b/qt/control/qpf-smoothtimes.control
new file mode 100644
index 0000000..6576ea7
--- a/dev/null
+++ b/qt/control/qpf-smoothtimes.control
@@ -0,0 +1,9 @@
+Package: qpf-smoothtimes
+Files: $QTDIR/lib/fonts/smoothtimes_{170,100}_{50,50_t15,50_t5}.* $QTDIR/lib/fonts/smoothtimes_{170,100}_50*t10*
+Priority: required
+Section: opie/system
+Maintainer: Chris Larson <kergoth@handhelds.org>
+Architecture: arm
+Depends: qte-fonts-common
+Version: 1:$QTE_VERSION-$QTE_REVISION
+Description: Smoothtimes font - precompiled QPFs
diff --git a/qt/control/qpf-smoothtimes.postinst b/qt/control/qpf-smoothtimes.postinst
new file mode 100755
index 0000000..30336ce
--- a/dev/null
+++ b/qt/control/qpf-smoothtimes.postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" != "configure" ]; then
+ exit 0
+fi
+
+update-qtfontdir
diff --git a/qt/control/qte-fonts-common.control b/qt/control/qte-fonts-common.control
new file mode 100644
index 0000000..403aa88
--- a/dev/null
+++ b/qt/control/qte-fonts-common.control
@@ -0,0 +1,8 @@
+Package: qte-fonts-common
+Files: $QTDIR/bin/update-qtfontdir
+Priority: required
+Section: opie/system
+Maintainer: Opie Team <opie@handhelds.org>
+Architecture: arm
+Version: 1:$QTE_VERSION-$QTE_REVISION
+Description: Qt/Embedded font common files
diff --git a/qt/control/qte-fonts.control b/qt/control/qte-fonts.control
index 332dbfa..0827f9b 100644
--- a/qt/control/qte-fonts.control
+++ b/qt/control/qte-fonts.control
@@ -1,11 +1,12 @@
Package: qte-fonts
-Files: $QTDIR/lib/fonts/helvetica_*_{50,50i,75,75i}.* $QTDIR/lib/fonts/helvetica_*_t*5* $QTDIR/lib/fonts/fixed_*_50.* $QTDIR/lib/fonts/fixed_*_t*5* $QTDIR/lib/fonts/micro_*{50,50_t15,50_t5}.* $QTDIR/lib/fonts/smallsmooth_*{50,50_t15,50_t5}.* $QTDIR/lib/fonts/smoothtimes_{170,100}_{50,50_t15,50_t5}.* $QTDIR/lib/fonts/fontdir $QTDIR/lib/fonts/helvetica_*t10* $QTDIR/lib/fonts/fixed_*t10* $QTDIR/lib/fonts/micro_*t10* $QTDIR/lib/fonts/smallsmooth_*t10* $QTDIR/lib/fonts/smoothtimes_{170,100}_50*t10* $QTDIR/bin/update-qtfontdir
+Files:
Priority: required
Section: opie/system
Maintainer: Opie Team <opie@handhelds.org>
Architecture: arm
-Depends: libqte2
+Depends: qte-fonts-common, qpf-fixed, qpf-micro
Provides: libqt2-emb-fonts
Replaces: qt-embedded-rotation, libqt2-emb-fonts
Version: 1:$QTE_VERSION-$QTE_REVISION
-Description: Qt/Embedded fonts - 0,90,180,270 rotation
+Description: Qt/Embedded fonts - virtual package
+ Depends on fixed and micro
diff --git a/qt/qpf-bitstream-vera.control b/qt/qpf-bitstream-vera.control
new file mode 100644
index 0000000..db62392
--- a/dev/null
+++ b/qt/qpf-bitstream-vera.control
@@ -0,0 +1,8 @@
+Package: qpf-bitstream-vera
+Files: $QTDIR/lib/fonts/vera_*_{50,50i,75,75i}.*
+Version: 1.10-1
+Priority: optional
+Section: base
+Maintainer: Chris Larson <kergoth@handhelds.org>
+Architecture: all
+Description: Bitstream Vera Fonts - QPF format